Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004315OCaml~DO NOT USE (was: OCaml general)public2007-06-15 02:302010-04-29 14:26
Reporteralexbaretta 
Assigned Toertai 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.10+dev 
Summary0004315: More camlp4o parsing issues: constraints in classes
DescriptionClass bar cannot be parsed until the constraint is removed. This change in camlp4 parsing breaks a lot of code out there.
Additional Informationalex@alex:~/dev/src-http$ ocaml
        Objective Caml version 3.10.0

        Camlp4 Parsing version 3.10.0


# class type foo = object end;;
class type foo = object end
# class bar = object (self : 'a) constraint 'a = #foo end;;
Parse error: "end" expected after [class_structure] (in [class_expr])
# class bar = object (self : 'a) end;;
class bar : object end
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004093)
ertai (developer)
2007-06-20 15:31

Fixed in CVS.

- Issue History
Date Modified Username Field Change
2007-06-15 02:30 alexbaretta New Issue
2007-06-20 15:31 ertai Note Added: 0004093
2007-06-20 15:31 ertai Assigned To => ertai
2007-06-20 15:31 ertai Priority normal => urgent
2007-06-20 15:31 ertai Status new => resolved
2007-06-20 15:31 ertai Resolution open => fixed
2007-06-20 15:31 ertai Fixed in Version => 3.10+dev
2010-04-29 14:26 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker